summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-09-14 14:51:31 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-09-14 14:57:52 +0200
commitec44060d30550ced18fa4a424b602654e6fcc8df (patch)
tree60a62319fb09719afb5d24a168cc93aa12c584fd
parentnet-libs/nghttp2-1.33.0-r0: alpha stable (diff)
downloadgentoo-ec44060d30550ced18fa4a424b602654e6fcc8df.tar.gz
gentoo-ec44060d30550ced18fa4a424b602654e6fcc8df.tar.bz2
gentoo-ec44060d30550ced18fa4a424b602654e6fcc8df.zip
media-sound/bluez-alsa: Bump to version 1.3.1
Package-Manager: Portage-2.3.49, Repoman-2.3.10
-rw-r--r--media-sound/bluez-alsa/Manifest1
-rw-r--r--media-sound/bluez-alsa/bluez-alsa-1.3.1.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/media-sound/bluez-alsa/Manifest b/media-sound/bluez-alsa/Manifest
index 09bfec77bed..b6712e8a657 100644
--- a/media-sound/bluez-alsa/Manifest
+++ b/media-sound/bluez-alsa/Manifest
@@ -1,2 +1,3 @@
DIST bluez-alsa-1.2.0.tar.gz 63662 BLAKE2B 79549c9848f910e083b88058e6798e10d193a3bfcbc087b41e17aa5f43444f425b5932c6440a5c7416068bd0c562a744f3cbfb3008582f56988e756ee74395a3 SHA512 a6bf0068b3fb88acaa11990db411f1d3be7ad19219e7bdfd091fe81acc2ba5d5992dfb377e4fcc332ac330bb7e5ab5e4f4a9cee3e700e366fd983e81a272a5b4
DIST bluez-alsa-1.3.0.tar.gz 86109 BLAKE2B 0a026c590a3e8f655db367e38891142d757eabc8ba647c655451e7b5ff9beabcc71ec33e16522ee7818be7513c9ecc4c5512ce6a2358651b4d8e77cd90f6a25f SHA512 f355873622290bc0193799a77660adf1e3622d3ad77a8e0cbf46d59b3c015009c8b3318c414b855c569d40bbe450a490f53c8d5382350beadfff6e65ab8e58bc
+DIST bluez-alsa-1.3.1.tar.gz 87333 BLAKE2B 0479baa103b9e6e5c26d061df59b0a36a24a74ee04c882a888d63458da96a980bc9f39a6219cd4ad9f8c04b0d58fb337a960584eb7b93455474111a71ddbeb9f SHA512 2b2f7b26b7b8cff70517bf8a24170330038be40f1a5a2fc75d20853b7beca6c9f9e2e6068f6b0f4fa9b6fc61f374ff59961434be8daa3b4d283abfd165be9cbf
diff --git a/media-sound/bluez-alsa/bluez-alsa-1.3.1.ebuild b/media-sound/bluez-alsa/bluez-alsa-1.3.1.ebuild
new file mode 100644
index 00000000000..6c59d2ee4e2
--- /dev/null
+++ b/media-sound/bluez-alsa/bluez-alsa-1.3.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools multilib-minimal
+
+DESCRIPTION="Bluetooth Audio ALSA Backend"
+HOMEPAGE="https://github.com/Arkq/bluez-alsa"
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Arkq/${PN}"
+else
+ SRC_URI="https://github.com/Arkq/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="aac debug hcitop static-libs"
+
+RDEPEND=">=dev-libs/glib-2.26[dbus,${MULTILIB_USEDEP}]
+ >=media-libs/alsa-lib-1.0[${MULTILIB_USEDEP}]
+ >=media-libs/sbc-1.2[${MULTILIB_USEDEP}]
+ >=net-wireless/bluez-5.0[${MULTILIB_USEDEP}]
+ aac? ( >=media-libs/fdk-aac-0.1.1[${MULTILIB_USEDEP}] )
+ hcitop? (
+ dev-libs/libbsd
+ sys-libs/ncurses:0=
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --enable-rfcomm
+ $(use_enable aac)
+ $(use_enable debug)
+ $(use_enable static-libs static)
+ $(multilib_native_use_enable hcitop)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ default
+ find "${ED}" -name "*.la" -delete || die
+
+ newinitd "${FILESDIR}"/bluealsa-init.d bluealsa
+ newconfd "${FILESDIR}"/bluealsa-conf.d-2 bluealsa
+}
+
+pkg_postinst() {
+ elog "Users can use this service when they are members of the \"audio\" group."
+}